using System;
using System.Text;

namespace OpenNETCF.Compression
{
    /* Return codes for the compression/decompression functions. Negative
     * values are errors, positive values are used for special but normal events.
     */
    public enum ErrorCode
    {
        OK = 0,
        StreamEnd = 1,
        NeedDict = 2,
        ErrNo = -1,
        StreamError = -2,
        DataError = -3,
        MemoryError = -4,
        BufferError = -5,
        VersionError = -6
    }
}
