using System;
using System.Text;

namespace OpenNETCF.Compression
{
    [Flags]
    internal enum GZIPFlags : byte
    {
        /* gzip flag byte */
        ASCII = 0x01, /* bit 0 set: file probably ascii text */
        HEAD_CRC = 0x02, /* bit 1 set: header CRC present */
        EXTRA_FIELD = 0x04, /* bit 2 set: extra field present */
        ORIG_NAME = 0x08, /* bit 3 set: original file name present */
        COMMENT = 0x10, /* bit 4 set: file comment present */
        RESERVED = 0xE0, /* bits 5..7: reserved */
    }
}
