using System;
using System.Text;
using System.IO;

namespace OpenNETCF.Compression
{
    unsafe internal class gz_stream
    {
        public z_stream stream;
        public ErrorCode z_err;   /* error code for last stream operation */
        public bool z_eof;   /* set if end of input file */
        public Stream file;   /* .gz file */
        public Byte[] inbuf;  /* input buffer */
        public Byte[] outbuf; /* output buffer */
        public int crc;     /* crc32 of uncompressed data */
        public string msg;    /* error message */
        public int transparent; /* 1 if input file is not a .gz file */
        public int start;   /* start of compressed data in file (header skipped) */
        public int inPtr;      /* bytes into deflate or inflate */
        public int outPtr;     /* bytes out of deflate or inflate */
        public int back;    /* one character push-back */
        public int last;    /* true if push-back is last character */
        public byte* @in;
        public byte* @out;
    }
}
